Prerequisites - Adobe Commerce (Magento) - Mercado Pago Developers
What are you looking for?

Do not know how to start integrating? 

Check the first steps

Prerequisites

To use the Mercado Pago integration with Adobe Commerce in your store, you must meet the requirements described in the table below.

Attention
The versions of the Mercado Pago module prior to 3.19 have been discontinued. If you still have it installed, we recommend updating to the new Adobe Commerce plugin. Make sure to keep both the module and the store updated to avoid losing sales.
RequirementsDescriptionSpecifications
ApplicationApplications are the different integrations in one or more stores. You can create an application for each solution you implement to keep everything organized and on track for easier management. Check Dashboard for more information on how to create an application.N/A
EnvironmentHosting ServiceLAMP (Linux, Apache, MySQL and PHP)
LNMP stack
DatabaseSets of files related to each other with records about people, places, or things.MySQL 5.6 (MariaDB and Percona)
Additional ConfigurationRecommended adjustments for better performance and proper functioning of Magento 2 and the Mercado Pago module.Minimum 2GB RAM
Seller account Mercado PagoTo make sales, you need a seller account on Mercado Pago. If you don't have it, click here to create it.Seller Account on Mercado Pago
CredentialsThe credentials are unique passwords with which we identify an integration in your account and serve to securely capture payments in virtual stores and other applications.To perform tests and ensure the integration works, you will need the test credentials. After this step, you will need the production credentials to receive actual payments.
Extensions dependenciesExtensions give PHP new abilities, supplementing it with more functions.bc-math (Magento Commerce only)
curl
gd, ImageMagick 6.3.7 (or later) or both
intl
bstring
mcrypt
hash< br/>openssl
PDO / MySQL
SimpleXML
soap
xml
xsl
zip
Adobe Commerce100% customizable e-commerce platform that integrates perfectly with the main technologies on the market and can be deployed in any environment. Click here for more information.Required 2.3.x
Web ServerSoftware responsible for accepting HTTP requests from clients, usually browsers, and serving them with HTTP responsesApache 2.x
Nginx 1.7.x
Operating systemSystem responsible for managing computer hardware.Linux x86-64
SSLProtocol that allows you to establish secure communications on the Internet for activities such as browsing, e-mail, and other data transfers.It is necessary to have an SSL certificate and that the payment method is available on an HTTPS page. During tests in Sandbox mode, you can run tests in HTTP.
PHP VersionPHP is a programming language widely used for web application development. For more information, click here.PHP 7.0 or higher (json/iconv)
This module is configured to support Adobe Commerce standards. We recommend that you do not use modules or plugins that change the characteristics and operation of the Adobe Commerce standard to avoid possible errors in the module or that it stops working.

If all the prerequisites are met, you can install the Mercado Pago módulo on the Adobe Commerce platform.